Returns the shopping cart with all items and related amounts for the specified lead. Requires verification token for authentication.
cURL
curl --request GET \ --url https://public-api.prd.monument.io/shopping/{portfolio}/v1/shopping-cart/unitGroup/{unitGroupUuid}/lead/{leadUuid} \ --header 'x-api-key: <x-api-key>'
{ "items": { "leadUuid": "<string>", "itemType": { "itemTypeUuid": "<string>", "itemTypeName": "<string>", "description": "<string>", "isTaxable": true, "category": "SERVICES", "isRecurring": true, "isRequiredAtMoveIn": true, "isRequiredAtTransfer": true, "isReadOnly": true, "isActive": true, "numberOfFacilities": 123, "amount": "<string>", "isProratedAtMoveIn": true, "amountInPennies": 123, "taxAmountInPennies": 123, "entityAttributeOrganizationUuid": "<string>", "entityAttributeOrganizationDescription": "<string>", "feeType": "PERCENTAGE", "fixedFeeAmount": 123, "feePercentage": 123, "fullNonProratedAmount": 123, "invoiceGenerationType": "ANNIVERSARY", "glAccountTypeUuid": "<string>", "promotion": { "promotionUuid": "<string>", "promotionName": "<string>", "discountType": "<string>", "discountAmountInPennies": 123, "internalNote": "<string>" } }, "shoppingCartItemUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dateDesiredMoveIn": "2023-11-07T05:31:56Z", "amountInPennies": 123, "preProrationAmountInPennies": 123 }, "dateDesiredMoveIn": "2023-11-07T05:31:56Z" }
Api key required to authenticate your request. Please reach out to monument for a key.
"monument-2230012-2312321"
The shopping cart for the provided lead, with all related amounts
Show child attributes